Skip to main content

GetSKU

Host: dip-cb.binanceapi.com

GET /mp-api/v1/apps/{appId}/skus/{skuId}

Header

ParameterRequiredDescription
X-Mp-Open-Api-TokenYesJWT token. Please refer to Description of External Interface Signature Authentication Algorithm

Path Parameters

ParameterDescription
appIdThe AppId of the mini program
skuIdThe skuId of the SKU

Response

HTTP 200

{
"code": "000000",
"message": null,
"data": {
"sku": {
"id": "bn_point_100",
"audit": {
"info": {
"id": "bn_point_100",
"defaultName": "BN 100 points",
"names": {
"en": "BN 100 points",
"zh-TW": "BN 100 點",
},
"category": "Games",
"imageUrl": "https://bn.com/hnCWgai85XJwn7qSRXjiUt.png",
"imageStatus": "UPLOADING",
"originalPrice": "9.99",
"sellingPrice": "9.00",
"discountPercentage": 30,
"path": "/pages/index/index?foo=bar&baz=qux",
"description": "A virtual top-up item",
"stocks": 100,
"autoDelivery": true,
"countryWhitelist": ["TW", "JP"],
"countryBlacklist": ["SG"],
"pricing_mode": "flat",
"pricing_tiers": []
},
"auditStatus": "APPROVED"
},
"online": {
"info": {
"id": "bn_point_100",
"defaultName": "BN 100 points",
"names": {
"en": "BN 100 points",
"zh-TW": "BN 100 點",
},
"category": "Games",
"imageUrl": "https://bn.com/hnCWgai85XJwn7qSRXjiUt.png",
"imageStatus": "UPLOADING",
"originalPrice": "19.99",
"sellingPrice": "19.00",
"discountPercentage": 10,
"path": "/pages/index/index?foo=bar&baz=qux",
"description": "A virtual top-up item",
"stocks": 100,
"autoDelivery": true,
"countryWhitelist": ["TW", "JP", "ID"],
"countryBlacklist": ["SG"],
"pricing_mode": "flat",
"pricing_tiers": []
},
"availableStatus": "ACTIVE"
},
}
},
"success": true
}

Response with tiered pricing

{
"code": "000000",
"message": null,
"data": {
"sku": {
"id": "jdcom-cn-giftcard",
"audit": {
"info": {
"id": "jdcom-cn-giftcard",
"defaultName": "JD.com CN Gift Card",
"names": { "en": "JD.com CN Gift Card" },
"category": "Shopping",
"imageUrl": "https://bn.com/jdcn.png",
"imageStatus": "SUCCESS",
"originalPrice": "5.90",
"sellingPrice": "4.72",
"discountPercentage": 20,
"path": "/pages/index/index",
"description": "JD.com gift card redeemable in China",
"stocks": 500,
"autoDelivery": true,
"countryWhitelist": ["CN"],
"countryBlacklist": [],
"pricing_mode": "tiered",
"pricing_tiers": [
{
"tier_id": "tier_jdcn_30cny",
"names": { "en": "JD.com CN 30 CNY" },
"description": "",
"original_price_usd_cent": 590,
"selling_price_usd_cent": 472
},
{
"tier_id": "tier_jdcn_50cny",
"names": { "en": "JD.com CN 50 CNY" },
"description": "",
"original_price_usd_cent": 980,
"selling_price_usd_cent": 784
}
]
},
"auditStatus": "APPROVED"
},
"online": null
}
},
"success": true
}

Response with custom pricing

{
"code": "000000",
"message": null,
"data": {
"sku": {
"id": "custom-topup",
"audit": {
"info": {
"id": "custom-topup",
"defaultName": "Custom Top-up",
"names": { "en": "Custom Top-up" },
"category": "Games",
"imageUrl": "https://bn.com/topup.png",
"imageStatus": "SUCCESS",
"path": "/pages/topup/index",
"description": "Top up any amount between $10 and $500",
"countryWhitelist": ["JP"],
"countryBlacklist": [],
"originalPrice": "9.99",
"sellingPrice": "9.99",
"pricing_mode": "custom",
"min_selling_price_usd_cent": 1000,
"max_selling_price_usd_cent": 50000,
"custom_price_options_usd_cent": [1000, 2500, 5000],
"pricing_tiers": []
},
"auditStatus": "APPROVED"
},
"online": null
}
},
"success": true
}

Response Parameters

ParameterDescription
auditAudit information for this SKU
onlineOnline information for this SKU
imageStatusSKU image status could be either 'UPLOADING', 'SUCCESS', 'FAILED', or 'NONEXISTED'
auditStatusSKU audit status can be 'TODO', 'APPROVED', 'REJECTED'
availableStatusSKU available status, controlled by merchants, can be 'ACTIVE', or 'DEACTIVE'
descriptionMerchant-provided description for this SKU
stocksMerchant-provided inventory quantity. Absent if not set.
autoDeliveryWhether the SKU supports automatic delivery after purchase. Absent if not set.
pricing_modePricing mode: "flat" for a single price, "tiered" for multiple fixed denomination options, "custom" for user-entered amount within a range
pricing_tiersArray of PricingTier objects. Present when pricing_mode is "tiered", empty array otherwise.
min_selling_price_usd_centMinimum amount the user may enter, in USD cents. Present when pricing_mode is "custom".
max_selling_price_usd_centMaximum amount the user may enter, in USD cents. Present when pricing_mode is "custom".
custom_price_options_usd_centPreset amounts in USD cents for buyer quick-select. Present when pricing_mode is "custom" and presets were configured; absent otherwise.
ErrorCodeRemark
000000Success
900001Invalid Parameter
900002JWT Authentication Failed
900003Unexpected Error
900004Invalid FileId
900260Invalid SkuId